CalendarBackend Class Reference

Calendar implementation for synchronization. More...

`#include <CalendarBackend.h>`

## Public Types

enum | ErrorStatus { STATUS_GENERIC_ERROR = -3 , STATUS_ITEM_DUPLICATE = -2 , STATUS_ITEM_NOT_FOUND = -1 , STATUS_OK = 0 }

## Public Member Functions

| CalendarBackend ()
| constructor
virtual | ~CalendarBackend ()
| destructor
bool | init (const QString &aNotebookName, const QString &aUid="")
| Initializes the CalendarBackend.
bool | uninit ()
| Uninitializes the storage.
bool | getAllIncidences (KCalendarCore::Incidence::List &aIncidences)
| returns all incidences inside this calendar
bool | getAllNew (KCalendarCore::Incidence::List &aIncidences, const QDateTime &aTime)
| returns all new items after the date
bool | getAllModified (KCalendarCore::Incidence::List &aIncidences, const QDateTime &aTime)
| returns all modified items after the date
bool | getAllDeleted (KCalendarCore::Incidence::List &aIncidences, const QDateTime &aTime)
| returns all deleted items after the date
KCalendarCore::Incidence::Ptr | getIncidence (const QString &aUID)
| Get incidence based on uid.
QString | getVCalString (KCalendarCore::Incidence::Ptr aInci)
| returns VCalendar representation of incidence
QString | getICalString (KCalendarCore::Incidence::Ptr aInci)
| returns ICalendar representation of incidence
KCalendarCore::Incidence::Ptr | getIncidenceFromVcal (const QString &aVString)
| get Incidence from VCalendar string
KCalendarCore::Incidence::Ptr | getIncidenceFromIcal (const QString &aIString)
| get Incidence from ICalendar string
bool | addIncidence (KCalendarCore::Incidence::Ptr aInci, bool commitNow=true)
| Add the incidence to calendar.
bool | commitChanges ()
| Tell Calendar to commit changes to their db.
bool | modifyIncidence (KCalendarCore::Incidence::Ptr aInci, const QString &aUID, bool commitNow=true)
| Modify the incidence in calendar.
ErrorStatus | deleteIncidence (const QString &aUID)
| delete the incidence

## Detailed Description

Calendar implementation for synchronization.

## Member Enumeration Documentation

## ErrorStatus

enum CalendarBackend::ErrorStatus

Enumerator
STATUS_GENERIC_ERROR | General error occurred during operation
STATUS_ITEM_DUPLICATE | Operation was not performed as object was duplicate
STATUS_ITEM_NOT_FOUND | Operation failed as object was not found
STATUS_OK | Operation was completed successfully

## Member Function Documentation

## commitChanges()

bool CalendarBackend::commitChanges | ( |  | ) |

Tell Calendar to commit changes to their db.

Returns
  true if committed succesfully, false otherwise

The documentation for this class was generated from the following file:

- CalendarBackend.h